Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055809 - Review Request: scalaz - functional programming for Scala
Summary: Review Request: scalaz - functional programming for Scala
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: sbt-package
Blocks: bigdata-review
TreeView+ depends on / blocked
 
Reported: 2014-01-21 00:42 UTC by Will Benton
Modified: 2014-03-11 04:00 UTC (History)
2 users (show)

Fixed In Version: scalaz-7.0.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-11 04:00:51 UTC
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Will Benton 2014-01-21 00:42:33 UTC
Spec URL: http://freevariable.com/scalaz/scalaz.spec
SRPM URL: http://freevariable.com/scalaz/scalaz-7.0.0-1.fc19.src.rpm
Description: Scalaz is a Scala library for functional programming.
Fedora Account System Username: willb

Comment 1 gil cattaneo 2014-02-27 02:08:09 UTC
Please, remove
from %install section
rm -rf %{buildroot}
unused macro %doc

Add
BuildRequires:	javapackages-tools
Requires:	javapackages-tools

Comment 2 Will Benton 2014-02-27 04:41:40 UTC
Thanks, Gil.  I've updated the package with those fixes and many others:

Spec URL: http://freevariable.com/scalaz/scalaz.spec
SRPM URL: http://freevariable.com/scalaz/scalaz-7.0.0-2.fc19.src.rpm
Description: Scalaz is a Scala library for functional programming.
Fedora Account System Username: willb

Comment 3 gil cattaneo 2014-02-27 05:38:37 UTC
Please, should try to preserve timestamps of original installed files

Comment 4 Will Benton 2014-02-27 12:58:19 UTC
I've made that change in place (although all of the installed files are generated as part of the build).

Comment 5 gil cattaneo 2014-02-27 13:39:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- This seems like a Java package, please install fedora-review-plugin-java to
  get additional checks


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)". Detailed output of licensecheck in
     /home/gil/1055809-scalaz/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in scalaz-
     javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: scalaz-7.0.0-2.fc21.noarch.rpm
          scalaz-javadoc-7.0.0-2.fc21.noarch.rpm
          scalaz-7.0.0-2.fc21.src.rpm
scalaz.noarch: W: summary-not-capitalized C extension to the core Scala library for functional programming
scalaz.noarch: W: spelling-error %description -l en_US foundational -> foundation, unconditional
scalaz.noarch: W: spelling-error %description -l en_US Functor -> Function
scalaz.src: W: summary-not-capitalized C extension to the core Scala library for functional programming
scalaz.src: W: spelling-error %description -l en_US foundational -> foundation, unconditional
scalaz.src: W: spelling-error %description -l en_US Functor -> Function
scalaz.src:35: W: mixed-use-of-spaces-and-tabs (spaces: line 35, tab: line 12)
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint scalaz scalaz-javadoc
scalaz.noarch: W: summary-not-capitalized C extension to the core Scala library for functional programming
scalaz.noarch: W: spelling-error %description -l en_US foundational -> foundation, unconditional
scalaz.noarch: W: spelling-error %description -l en_US Functor -> Function
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
scalaz (rpmlib, GLIBC filtered):
    jansi
    javapackages-tools
    jpackage-utils
    scala

scalaz-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
scalaz:
    mvn(org.scalaz:scalaz-concurrent_2.10)
    mvn(org.scalaz:scalaz-core_2.10)
    mvn(org.scalaz:scalaz-effect_2.10)
    mvn(org.scalaz:scalaz-example_2.10)
    mvn(org.scalaz:scalaz-iteratee_2.10)
    mvn(org.scalaz:scalaz-iterv_2.10)
    mvn(org.scalaz:scalaz-typelevel_2.10)
    mvn(org.scalaz:scalaz-xml_2.10)
    scalaz

scalaz-javadoc:
    scalaz-javadoc



Source checksums
----------------
https://github.com/scalaz/scalaz/archive/v7.0.0.tar.gz#/scalaz-v7.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : e84dfd711fb3fe4e4b9e8d324efc5a3f6b84fda400c66ffb0c4ae4b8b9f718b1
  CHECKSUM(SHA256) upstream package : e84dfd711fb3fe4e4b9e8d324efc5a3f6b84fda400c66ffb0c4ae4b8b9f718b1
https://raw.github.com/willb/climbing-nemesis/master/climbing-nemesis.py :
  CHECKSUM(SHA256) this package     : 181ac93e126e665239836b337e964ace6a4a8800e0526de0cda28e414da0c7f3
  CHECKSUM(SHA256) upstream package : 181ac93e126e665239836b337e964ace6a4a8800e0526de0cda28e414da0c7f3


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1055809 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 6 gil cattaneo 2014-02-27 13:44:49 UTC
ISSUES:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

[!]: Package does not include license text files separate from upstream.

Please, open a bug to query upstream to include license text files.
And remove "cat <<EOF > LICENSE"

This problem does not block the package, please do before import.

Comment 7 Will Benton 2014-02-27 14:27:35 UTC
Thanks, Gil.

New Package SCM Request
=======================
Package Name: scalaz
Short Description: Functional programming for Scala
Owners: willb
Branches: f20
InitialCC: java-sig

Comment 8 Gwyn Ciesla 2014-02-27 14:29:13 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-02-27 15:15:19 UTC
scalaz-7.0.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/scalaz-7.0.0-2.fc20

Comment 10 Fedora Update System 2014-02-28 18:38:34 UTC
scalaz-7.0.0-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 11 Fedora Update System 2014-03-11 04:00:51 UTC
scalaz-7.0.0-2.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.